=== debian/control ===
Source: kernel-image-2.4.21-s390
Section: devel
Priority: optional
Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Jochen Rhrig <jr@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper (>> 4.0.0), modutils (>= 2.4.21), kernel-tree-2.4.21-8, kernel-patch-2.4.21-s390 (>= 2.4.21.10-4), kernel-package (>= 8.016)

Package: kernel-headers-2.4.21-1
Architecture: s390
Section: devel
Priority: optional
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to Linux kernel version 2.4.21 on IBM S/390
 This package provides kernel header files for version 2.4.21 on IBM S/390,
 for sites that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.4.21/debian.README.gz for details.

Package: kernel-image-2.4.21-1-s390
Architecture: s390
Section: base
Priority: optional
Provides: kernel-image, kernel-image-2.4
Depends: modutils (>= 2.4.21)
Suggests: s390-tools (>= 1.1.4), kernel-doc-2.4.21
Description: Linux kernel image for kernel version 2.4.21 on IBM S/390
 This package contains the Linux kernel image for kernel version 2.4.21
 on IBM S/390 and zSeries, the corresponding System.map file, and the
 modules built by the packager. It also contains scripts that try to
 ensure that the system is not left in an unbootable state after an
 update.
 .
 This kernel has support to IPL (boot) from a VM reader or DASD device.
 It includes the following patches released by IBM for the Linux kernel
 version 2.4.21:
  * linux-2.4.21-s390-june2003                   (released on 2003-06-30)
  * linux-2.4.21-s390-01-june2003                (released on 2003-06-30)
  * linux-2.4.21-s390-02-june2003                (released on 2003-06-30)
  * linux-2.4.21-s390-03-june2003                (released on 2003-07-25)
  * linux-2.4.21-s390-04-june2003                (released on 2003-08-28)
  * linux-2.4.21-s390-05-june2003                (released on 2003-09-18)
  * linux-2.4.21-s390-06-june2003                (released on 2003-10-31)
  * linux-2.4.21-s390-07-june2003                (released on 2003-11-28)
  * linux-2.4.21-s390-08-june2003                (released on 2003-12-18)
  * linux-2.4.21-s390-09-june2003                (released on 2004-01-30)
  * linux-2.4.21-s390-10-june2003                (released on 2004-01-30)
  * linux-2.4.21-s390-kerntypes-june2003         (released on 2003-06-30)
  * linux-2.4.21-s390-timer-02-june2003          (released on 2004-01-30)
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.

Package: kernel-image-2.4.21-1-s390-tape
Architecture: s390
Section: base
Priority: extra
Description: Linux kernel image for kernel version 2.4.21 on IBM S/390
 This package contains the Linux kernel image for kernel version 2.4.21
 on IBM S/390 and zSeries.
 .
 This kernel has support to IPL (boot) from a tape.

Package: kernel-image-2.4.21-1-s390x
Architecture: s390
Section: base
Priority: optional
Provides: kernel-image, kernel-image-2.4
Depends: modutils (>= 2.4.21)
Suggests: s390-tools (>= 1.1.4), kernel-doc-2.4.21
Description: Linux kernel image for kernel version 2.4.21 on IBM zSeries.
 This package contains the Linux kernel image for kernel version 2.4.21
 on IBM zSeries, the corresponding System.map file, and the modules
 built by the packager. It also contains scripts that try to ensure that
 the system is not left in a unbootable state after an update.
 .
 This kernel has support to IPL (boot) from a VM reader or DASD device.
 It includes the following patches released by IBM for the Linux kernel
 version 2.4.21:
  * linux-2.4.21-s390-june2003                   (released on 2003-06-30)
  * linux-2.4.21-s390-01-june2003                (released on 2003-06-30)
  * linux-2.4.21-s390-02-june2003                (released on 2003-06-30)
  * linux-2.4.21-s390-03-june2003                (released on 2003-07-25)
  * linux-2.4.21-s390-04-june2003                (released on 2003-08-28)
  * linux-2.4.21-s390-05-june2003                (released on 2003-09-18)
  * linux-2.4.21-s390-06-june2003                (released on 2003-10-31)
  * linux-2.4.21-s390-07-june2003                (released on 2003-11-28)
  * linux-2.4.21-s390-08-june2003                (released on 2003-12-18)
  * linux-2.4.21-s390-09-june2003                (released on 2004-01-30)
  * linux-2.4.21-s390-10-june2003                (released on 2004-01-30)
  * linux-2.4.21-s390-kerntypes-june2003         (released on 2003-06-30)
  * linux-2.4.21-s390-timer-02-june2003          (released on 2004-01-30)
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
